# core/cfg.py
#
#

""" basic package for the program. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORTS

from core.thing import Thing

import socket

## XMPP

cfg_xmpp = Thing()
cfg_xmpp.prefix = "cfg"
cfg_xmpp.user = "monitor@localhost"
cfg_xmpp.server = "localhost"
cfg_xmpp.username = "core"
cfg_xmpp.channel = "#core"
cfg_xmpp.nick = "core"
cfg_xmpp.cfg = "xmpp"
cfg_xmpp.port = 5222

## IRC

cfg_irc = Thing()
cfg_irc.prefix = "cfg"
cfg_irc.server = "localhost"
cfg_irc.username = "core"
cfg_irc.channel = "#core"
cfg_irc.nick = "core"
cfg_irc.cfg = "irc"

## KERNEL

cfg_kernel = Thing()
cfg_prefix = "cfg"
cfg_kernel.debug = False
cfg_kernel.background = False
cfg_kernel.openfire = True
cfg_kernel.shell = False
cfg_kernel.init = ""
cfg_kernel.workdir = ""
cfg_kernel.loglevel = "warn"
cfg_kernel.packages = ["core.bots", "core.plugs", "core.service"]
cfg_kernel.cfg = "kernel"

# UDP

cfg_udp = Thing()
cfg_udp.prefix = "cfg"
cfg_udp.cfg = "udp"
cfg_udp.host = "localhost"
cfg_udp.port = 5500
cfg_udp.password = "boh"
cfg_udp.seed = "blablablablablaz" # needs to be 16 chars wide

## SHOW

cfg_show = Thing()
cfg_show.prefix = "cfg"
cfg_show.cfg = "show"
cfg_show.hostname = socket.getfqdn()
cfg_show.port = 10102

## RSS

cfg_rss = Thing()
cfg_rss.keys_list = ["published", "title", "link"]

