# core/utils/signature.py
#
#

""" utils package. """

__copyright__ = "Copyright 2015, B.H.J Thate"

## IMPORT

import hashlib
import json

## SIGNATURE

def make_signature(data): return str(hashlib.sha1(bytes(str(data), "utf-8")).hexdigest())

def verify_signature(data, signature):
    from core.thing import Thing
    fromdisk = json.loads(data)
    signature2 = make_signature(fromdisk["data"])
    return signature2 == signature

